"use client";
"use client;";
import React__default from "react";
import { Element } from "../Element/Element.js";
import { Text } from "../Typography/Text.js";
const Badge = React__default.forwardRef(
  ({
    children,
    size = "medium",
    shape,
    withDelete,
    onDelete,
    label,
    ...props
  }, ref) => {
    let classNames = [];
    if (size) {
      classNames.push(`size-${size}`);
    }
    if (shape) {
      classNames.push(`shape-${shape}`);
    }
    const handleDelete = (e) => {
      e.stopPropagation();
      onDelete == null ? void 0 : onDelete(e);
    };
    const handleKeyPress = (e) => {
      if (withDelete && (e.key === "Enter" || e.key === " ")) {
        e.preventDefault();
        onDelete == null ? void 0 : onDelete(e);
      }
    };
    return /* @__PURE__ */ React__default.createElement(
      Element,
      {
        "data-badge": true,
        ref,
        classNames,
        role: "status",
        "aria-label": label || (typeof children === "string" ? children : void 0),
        ...props
      },
      /* @__PURE__ */ React__default.createElement(Text, null, children),
      withDelete && /* @__PURE__ */ React__default.createElement(
        Text,
        {
          className: "dismiss-button",
          onClick: handleDelete,
          onKeyPress: handleKeyPress,
          role: "button",
          tabIndex: 0,
          "aria-label": `Remove ${label || children}`
        },
        "×"
      )
    );
  }
);
export {
  Badge
};
