"use client";
"use client;";
import React__default from "react";
import { Element } from "../Element/Element.js";
const Button = React__default.forwardRef(
  ({ size = "medium", shape, kind, isLoading, hasDelete, label, ...props }, ref) => {
    let classNames = [];
    if (kind) {
      classNames.push(kind);
    }
    if (size) {
      classNames.push(`size-${size}`);
    }
    if (shape) {
      classNames.push(`shape-${shape}`);
    }
    if (isLoading) {
      classNames.push("is-loading");
    }
    if (hasDelete) {
      classNames.push("has-delete");
    }
    return /* @__PURE__ */ React__default.createElement(
      Element,
      {
        as: "button",
        "data-button": true,
        ref,
        classNames,
        "aria-label": label,
        "aria-disabled": props.disabled || isLoading,
        "aria-busy": isLoading,
        ...props
      }
    );
  }
);
export {
  Button
};
