"use client";
"use client;";
import React__default, { useState, useRef, useEffect } from "react";
import { Element } from "../Element/Element.js";
import { Div } from "../Element/Tags.js";
import { u as useClickOutside } from "../../UseClickOutside-CJ5IQE6n.js";
const Drawer = React__default.forwardRef(
  ({
    children,
    openWhen,
    closeWhen,
    closeOnClickOutside,
    padding,
    position,
    size,
    bgColor,
    bgColour,
    isDismissible = true,
    showOverlay = false,
    label,
    ...props
  }, ref) => {
    const [shouldRender, setShouldRender] = useState(openWhen);
    const drawerRef = useRef(null);
    const effectiveRef = ref || drawerRef;
    useEffect(() => {
      if (openWhen) {
        setShouldRender(true);
      }
    }, [openWhen]);
    const onAnimationEnd = () => {
      if (!openWhen) {
        setShouldRender(false);
      }
    };
    let classNames = ["drawer"];
    if (position) {
      classNames.push(position);
    }
    if (openWhen) {
      classNames.push("open");
    } else if (shouldRender) {
      classNames.push("close");
    }
    if (size) {
      classNames.push(size);
    }
    const closeDrawer = () => closeWhen == null ? void 0 : closeWhen();
    useClickOutside(effectiveRef, closeOnClickOutside ? closeDrawer : () => {
    });
    const handleKeyDown = (e) => {
      if (e.key === "Escape" && isDismissible) {
        closeDrawer();
      }
    };
    return shouldRender ? /* @__PURE__ */ React__default.createElement(React__default.Fragment, null, /* @__PURE__ */ React__default.createElement(
      Element,
      {
        as: "div",
        "data-drawer": true,
        ref: effectiveRef,
        classNames,
        onAnimationEnd,
        onKeyDown: handleKeyDown,
        role: "dialog",
        "aria-modal": "true",
        "aria-label": label || "Drawer",
        tabIndex: -1,
        ...closeOnClickOutside ? { onClick: closeDrawer } : {},
        ...props
      },
      openWhen && showOverlay && /* @__PURE__ */ React__default.createElement(
        Div,
        {
          className: `rest-of-page-overlay ${openWhen ? "visible" : ""}`,
          "aria-hidden": "true"
        }
      ),
      /* @__PURE__ */ React__default.createElement(
        Element,
        {
          as: "div",
          className: "drawer-content-wrapper",
          padding,
          bgColor,
          bgColour,
          role: "document"
        },
        isDismissible && /* @__PURE__ */ React__default.createElement(
          "button",
          {
            className: "dismiss-button",
            onClick: closeDrawer,
            "aria-label": "Close drawer",
            tabIndex: 0
          }
        ),
        children
      )
    )) : null;
  }
);
export {
  Drawer
};
