"use client";
"use client;";
import React__default from "react";
import { Element } from "../../Element/Element.js";
import { Callout } from "../../Callout/Callout.js";
import { generateFormThroughConfig } from "./FormGenerator.js";
const Form = React__default.forwardRef(
  ({ spacing = "small", fields, onFieldsChange, children, errorText, ...props }, ref) => {
    let classNames = [];
    if (spacing) {
      classNames.push(`spacing-${spacing}`);
    }
    if (fields && fields.length > 0) {
      children = [generateFormThroughConfig(fields, onFieldsChange, spacing), children];
    }
    return /* @__PURE__ */ React__default.createElement(
      Element,
      {
        as: "form",
        "data-form": true,
        ref,
        classNames,
        ...props
      },
      children,
      errorText && /* @__PURE__ */ React__default.createElement(Callout, { kind: "error" }, errorText)
    );
  }
);
export {
  Form
};
