"use client";
"use client;";
import React__default from "react";
import { Element } from "../../Element/Element.js";
import { Row } from "../../Row/Row.js";
import { Portion } from "../../Portion/Portion.js";
import { InputLabel } from "../InputLabel/InputLabel.js";
import { InputField } from "../InputField/InputField.js";
import { FileUpload } from "../InputField/FileUpload.js";
import { Checkbox } from "../Checkbox/Checkbox.js";
import { Switch } from "../Checkbox/Switch.js";
import { RadioButton } from "../RadioButton/RadioButton.js";
import { RadioGroup } from "../RadioButton/RadioGroup.js";
import { Select } from "../Select/Select.js";
import { TextArea } from "../TextArea/TextArea.js";
const FormElements = {
  Checkbox,
  Switch,
  InputField,
  FileUpload,
  InputLabel,
  RadioButton,
  RadioGroup,
  Select,
  TextArea,
  Empty: "div"
};
const getFormItem = (formField, onFieldsChange) => {
  const { as: elementName, ...formFieldProps } = formField;
  return /* @__PURE__ */ React__default.createElement(
    Element,
    {
      as: FormElements[elementName] || InputField,
      ...formFieldProps,
      isFullWidth: true,
      onChange: onFieldsChange
    }
  );
};
const generateFormThroughConfig = (fields, onFieldsChange, spacing) => {
  let formChildren = [];
  for (const i in fields) {
    const { desktopSpan, tabletLandscapeSpan, tabletPortraitSpan, mobileSpan, isHorizontal, ...formField } = fields[i];
    const portionProps = {
      desktopSpan,
      tabletLandscapeSpan,
      tabletPortraitSpan,
      mobileSpan,
      isHorizontal
    };
    formChildren.push(
      /* @__PURE__ */ React__default.createElement(Portion, { ...portionProps, key: `fields-${i}` }, getFormItem(formField, onFieldsChange))
    );
  }
  return /* @__PURE__ */ React__default.createElement(Row, { gutters: spacing }, formChildren);
};
export {
  generateFormThroughConfig
};
