"use client";
"use client;";
import React__default from "react";
import { Div } from "../../Element/Tags.js";
import { BaseInputComponent } from "../BaseInputComponent/BaseInputComponent.js";
const RadioTabGroupOptions = ({ options, defaultValue, value, required, ...props }) => {
  return /* @__PURE__ */ React__default.createElement(Div, { "data-radio-tab-group": true, name: props.name, required }, options.map((option) => /* @__PURE__ */ React__default.createElement(React__default.Fragment, { key: option.id }, /* @__PURE__ */ React__default.createElement(
    "input",
    {
      type: "radio",
      ...props,
      ...option,
      defaultChecked: defaultValue === option.value,
      checked: value === option.value
    }
  ), /* @__PURE__ */ React__default.createElement("label", { htmlFor: option.id }, option.label))));
};
const RadioTabGroup = React__default.forwardRef(
  ({ size = "medium", ...props }, ref) => {
    let classNames = [];
    if (size) {
      classNames.push(`size-${size}`);
    }
    return /* @__PURE__ */ React__default.createElement(
      BaseInputComponent,
      {
        as: RadioTabGroupOptions,
        ref,
        classNames,
        bgColour: props.bgColour,
        ...props
      }
    );
  }
);
export {
  RadioTabGroup
};
