"use client";
"use client;";
import React__default from "react";
import { Element } from "../Element/Element.js";
import { Text } from "../Typography/Text.js";
const Meter = React__default.forwardRef(
  ({
    label,
    value,
    height,
    suffix,
    showOptimumMarker,
    ariaLabel,
    description,
    min,
    max,
    low,
    high,
    optimum,
    ...props
  }, ref) => {
    const optimumPositionPercent = optimum ? (optimum - min) / (max - min) * 100 : 0;
    const getValueDescription = () => {
      const percentage = (value - min) / (max - min) * 100;
      let status;
      if (value <= low) {
        status = "Low";
      } else if (value >= high) {
        status = "High";
      } else {
        status = "Normal";
      }
      return `Current value is ${value}${suffix || ""} (${percentage.toFixed(1)}%). Status: ${status}`;
    };
    return /* @__PURE__ */ React__default.createElement(
      "div",
      {
        role: "region",
        "aria-label": ariaLabel || "Meter indicator"
      },
      label && /* @__PURE__ */ React__default.createElement(
        Element,
        {
          as: "div",
          "data-meter-meta": true,
          id: `meter-label-${label.toLowerCase().replace(/\s+/g, "-")}`
        },
        /* @__PURE__ */ React__default.createElement(Text, null, label),
        /* @__PURE__ */ React__default.createElement(Text, null, value, suffix && suffix)
      ),
      /* @__PURE__ */ React__default.createElement(
        "div",
        {
          className: "meter-wrapper",
          role: "presentation"
        },
        /* @__PURE__ */ React__default.createElement(
          Element,
          {
            as: "meter",
            "data-meter": true,
            ref,
            value,
            min,
            max,
            low,
            high,
            ...props,
            title: suffix,
            style: { height },
            "aria-label": label || ariaLabel || "Progress meter",
            "aria-valuemin": min,
            "aria-valuemax": max,
            "aria-valuenow": value,
            "aria-valuetext": getValueDescription(),
            "aria-describedby": description ? `meter-description-${label == null ? void 0 : label.toLowerCase().replace(/\s+/g, "-")}` : void 0
          }
        ),
        showOptimumMarker && optimum && /* @__PURE__ */ React__default.createElement(
          "div",
          {
            className: "optimum-marker",
            style: { left: `calc(${optimumPositionPercent}% - var(--meter-border-width))` },
            title: `Optimum: ${optimum}`,
            role: "presentation",
            "aria-hidden": "true"
          }
        )
      ),
      description && /* @__PURE__ */ React__default.createElement(
        "div",
        {
          id: `meter-description-${label == null ? void 0 : label.toLowerCase().replace(/\s+/g, "-")}`,
          className: "sr-only"
        },
        description
      )
    );
  }
);
export {
  Meter
};
