"use client";
"use client;";
import React__default from "react";
import { Element } from "../../Element/Element.js";
const NotificationsWrapper = React__default.forwardRef(
  ({
    position = "right",
    anchor = "top",
    order = "new-on-top",
    children,
    label,
    ...props
  }, ref) => {
    let classNames = [];
    if (position) classNames.push(position);
    if (anchor) classNames.push(anchor);
    if (order) classNames.push(order);
    const childrenCount = React__default.Children.count(children);
    if (childrenCount === 0) return null;
    return /* @__PURE__ */ React__default.createElement(
      Element,
      {
        as: "section",
        "data-notifications-wrapper": true,
        ref,
        classNames,
        "aria-label": label || "Notifications",
        "aria-relevant": "additions removals",
        role: "log",
        ...props
      },
      children
    );
  }
);
export {
  NotificationsWrapper
};
