"use client";
"use client;";
const range = (start, end) => {
  const length = end - start + 1;
  return Array.from({ length }, (_, i) => start + i);
};
const usePagination = ({
  totalItems,
  currentPage,
  itemsToShowEachSide
}) => {
  const totalPages = totalItems;
  const items = (() => {
    const totalNumbers = itemsToShowEachSide * 2 + 1;
    let pageNumbers = [];
    if (totalPages <= totalNumbers) {
      pageNumbers = range(1, totalPages);
    } else {
      const leftSideNumbers = Math.min(currentPage - 1, itemsToShowEachSide);
      const rightSideNumbers = Math.min(totalPages - currentPage, itemsToShowEachSide);
      pageNumbers.push(1);
      if (currentPage - itemsToShowEachSide > 2) {
        pageNumbers.push("...");
      }
      const rangeStart = Math.max(2, currentPage - leftSideNumbers);
      const rangeEnd = Math.min(totalPages - 1, currentPage + rightSideNumbers);
      pageNumbers.push(...range(rangeStart, rangeEnd));
      if (totalPages - currentPage > itemsToShowEachSide + 1) {
        pageNumbers.push("...");
      }
      if (rangeEnd < totalPages) {
        pageNumbers.push(totalPages);
      }
    }
    return pageNumbers;
  })();
  return {
    items,
    totalPages,
    rangeStart: currentPage,
    rangeEnd: currentPage,
    hasPrevPage: currentPage > 1,
    hasNextPage: currentPage < totalPages
  };
};
export {
  usePagination
};
