"use client";
"use client;";
import React__default from "react";
import { Element } from "../Element/Element.js";
const Portion = React__default.forwardRef(
  ({
    desktopSpan,
    mobileSpan,
    tabletLandscapeSpan,
    tabletPortraitSpan,
    isHorizontal,
    role,
    ...props
  }, ref) => {
    let classNames = [];
    if (desktopSpan || tabletLandscapeSpan || tabletPortraitSpan || mobileSpan) {
      if (desktopSpan) {
        classNames.push(`${desktopSpan}`);
      }
      if (tabletLandscapeSpan) {
        classNames.push(`${tabletLandscapeSpan}-on-tablet-landscape`);
      }
      if (tabletPortraitSpan) {
        classNames.push(`${tabletPortraitSpan}-on-tablet-portrait`);
      }
      if (mobileSpan) {
        classNames.push(`${mobileSpan}-on-mobile`);
      }
    } else {
      classNames.push("whole");
    }
    if (isHorizontal) {
      classNames.push("horizontal");
    }
    return /* @__PURE__ */ React__default.createElement(
      Element,
      {
        as: "div",
        "data-portion": true,
        ref,
        classNames,
        role,
        ...props
      }
    );
  }
);
export {
  Portion
};
