"use client";
"use client;";
import React__default from "react";
import { Element } from "../Element/Element.js";
import { Text } from "../Typography/Text.js";
const ProgressBar = React__default.forwardRef(
  ({
    label,
    value,
    height,
    max = 100,
    ...props
  }, ref) => {
    const validValue = Math.max(0, Math.min(max, Number(value) || 0));
    const progressText = `${validValue}${props.suffix || ""}`;
    return /* @__PURE__ */ React__default.createElement(React__default.Fragment, null, label && /* @__PURE__ */ React__default.createElement(
      Element,
      {
        as: "div",
        "data-progress-bar-meta": true,
        "aria-hidden": "true"
      },
      /* @__PURE__ */ React__default.createElement(Text, null, label),
      /* @__PURE__ */ React__default.createElement(Text, null, progressText)
    ), /* @__PURE__ */ React__default.createElement(
      Element,
      {
        as: "progress",
        "data-progress-bar": true,
        ref,
        value: validValue,
        max,
        "aria-label": label,
        "aria-valuemin": 0,
        "aria-valuemax": max,
        "aria-valuenow": validValue,
        "aria-valuetext": `${label ? `${label}: ` : ""}${progressText}`,
        ...props,
        style: { height }
      }
    ));
  }
);
export {
  ProgressBar
};
