"use client";
"use client;";
import React__default from "react";
import { Element } from "../Element/Element.js";
const Row = React__default.forwardRef(
  ({
    layout = "grid",
    gutters = "medium",
    retainLayoutOnTabletLandscape,
    retainLayoutOnTabletPortrait,
    retainLayoutOnMobile,
    retainLayoutAlways,
    groupLabel,
    ...props
  }, ref) => {
    let classNames = [];
    if (layout) {
      classNames.push(`layout-${layout}`);
    }
    if (gutters) {
      classNames.push(gutters === "none" ? "no-gutters" : `${gutters}-gutters`);
    }
    if (retainLayoutOnTabletLandscape) {
      classNames.push("retain-layout-on-tablet-landscape");
    }
    if (retainLayoutOnTabletPortrait) {
      classNames.push("retain-layout-on-tablet-portrait");
    }
    if (retainLayoutOnMobile) {
      classNames.push("retain-layout-on-mobile");
    }
    if (retainLayoutAlways) {
      classNames.push(
        "retain-layout-on-tablet-landscape retain-layout-on-tablet-portrait retain-layout-on-mobile"
      );
    }
    return /* @__PURE__ */ React__default.createElement(
      Element,
      {
        as: "div",
        "data-row": true,
        ref,
        classNames: [classNames.join(" ")],
        marginBottom: "tiny",
        role: "grid",
        "aria-label": groupLabel,
        ...props
      }
    );
  }
);
export {
  Row
};
