"use client";
"use client;";
import React__default, { useRef, useImperativeHandle } from "react";
import { Element } from "../../Element/Element.js";
import { u as useClickOutside } from "../../../UseClickOutside-CJ5IQE6n.js";
const SidebarWrapper = React__default.forwardRef(
  ({
    collapsed,
    closeOnClickOutside,
    showMobileSidebar,
    ...props
  }, forwardedRef) => {
    const internalRef = useRef(null);
    useImperativeHandle(forwardedRef, () => internalRef.current);
    useClickOutside(internalRef, () => {
      if (typeof closeOnClickOutside === "function") {
        closeOnClickOutside();
      }
    });
    let classNames = [];
    if (collapsed) {
      classNames.push("collapsed");
    }
    if (showMobileSidebar) {
      classNames.push("show-sidebar");
    }
    return /* @__PURE__ */ React__default.createElement(
      Element,
      {
        as: "aside",
        "data-sidebar-wrapper": true,
        ref: internalRef,
        classNames,
        ...props
      }
    );
  }
);
export {
  SidebarWrapper
};
