"use client";
"use client;";
import React__default from "react";
import { Element } from "../Element/Element.js";
import "../Element/Tags.js";
const Table = React__default.forwardRef(
  ({
    bordersFor,
    isStriped,
    highlightRowOnHover,
    isFullWidth,
    alignText,
    caption,
    summary,
    hasColSpan,
    children,
    ...props
  }, ref) => {
    let classNames = [];
    if (bordersFor) {
      classNames.push(`bordered-${bordersFor}`);
    }
    if (isStriped) {
      classNames.push("striped");
    }
    if (highlightRowOnHover) {
      classNames.push("hoverable");
    }
    if (isFullWidth) {
      classNames.push("full-width");
    }
    if (alignText) {
      classNames.push(`align-text-${alignText}`);
    }
    const rowCount = React__default.Children.count(children);
    const getColumnCount = () => {
      if (!children || !React__default.isValidElement(children)) return void 0;
      const firstRow = React__default.Children.toArray(children)[0];
      if (React__default.isValidElement(firstRow) && firstRow.props.children) {
        return React__default.Children.count(firstRow.props.children);
      }
      return void 0;
    };
    return /* @__PURE__ */ React__default.createElement(
      Element,
      {
        as: "table",
        classNames,
        ref,
        role: "table",
        "aria-rowcount": rowCount || void 0,
        "aria-colcount": hasColSpan ? void 0 : getColumnCount(),
        summary,
        ...props
      },
      caption && /* @__PURE__ */ React__default.createElement("caption", null, caption),
      children
    );
  }
);
export {
  Table
};
