"use client";
"use client;";
import React__default, { useEffect } from "react";
import { Element } from "../Element/Element.js";
import { Div } from "../Element/Tags.js";
import { Divider } from "../Divider/Divider.js";
import { Text } from "../Typography/Text.js";
const Tabs = React__default.forwardRef(
  ({ tabs, additionalNavContentWrapper, defaultActiveTab, align = "left", ...props }, ref) => {
    const index = tabs.findIndex((tab) => tab.key === defaultActiveTab);
    const defaultTabIndex = index > -1 ? index : 0;
    const [activeTab, setActiveTab] = React__default.useState(
      tabs.length > 0 ? tabs[defaultTabIndex] : void 0
    );
    const [isExiting, setIsExiting] = React__default.useState(false);
    const handleTabChange = (tab) => {
      setIsExiting(true);
      setTimeout(() => {
        setIsExiting(false);
        setActiveTab(tab);
      }, 120);
    };
    useEffect(() => {
      if (tabs.length > 0) {
        const matchingTab = tabs.find((tab) => tab.key === (activeTab == null ? void 0 : activeTab.key));
        if (matchingTab) {
          handleTabChange(matchingTab);
        } else {
          handleTabChange(tabs[0]);
        }
      } else {
        setActiveTab(void 0);
      }
    }, [tabs]);
    return /* @__PURE__ */ React__default.createElement(Element, { as: "div", "data-tabs": true, ref, ...props }, tabs.length > 0 && activeTab ? /* @__PURE__ */ React__default.createElement(React__default.Fragment, null, /* @__PURE__ */ React__default.createElement("nav", { className: `align-${align}` }, /* @__PURE__ */ React__default.createElement("ul", { className: "tab-labels-list" }, tabs.map((tab) => /* @__PURE__ */ React__default.createElement("li", { key: tab.key }, /* @__PURE__ */ React__default.createElement(
      Text,
      {
        className: `tab-label is-clickable ${tab.key === activeTab.key ? "is-active" : ""} ${tab.hasAlert ? "has-alert" : ""}`,
        onClick: () => handleTabChange(tab),
        marginBottom: "none"
      },
      tab.label
    )))), additionalNavContentWrapper && /* @__PURE__ */ React__default.createElement(React__default.Fragment, null, additionalNavContentWrapper)), /* @__PURE__ */ React__default.createElement(Divider, { kind: "secondary", marginTop: "none", marginBottom: "micro" }), /* @__PURE__ */ React__default.createElement(Div, { className: `tabs-content ${isExiting ? "exiting" : ""}` }, activeTab.content)) : /* @__PURE__ */ React__default.createElement(React__default.Fragment, null));
  }
);
export {
  Tabs
};
