"use client";
"use client;";
import React__default, { useState, useCallback, useEffect } from "react";
import { Element } from "../Element/Element.js";
const storageKey = "fictoan-theme";
const themes = ["theme-light", "theme-dark"];
const ThemeContext = React__default.createContext(void 0);
const defaultContext = { setTheme: (_) => {
} };
const useTheme = () => React__default.useContext(ThemeContext) ?? defaultContext;
const getTheme = (key, fallback) => {
  let theme;
  try {
    theme = localStorage.getItem(key) || void 0;
  } catch (e) {
  }
  return theme || fallback;
};
const ThemeProvider = React__default.forwardRef(
  ({ currentTheme, children, ...props }, ref) => {
    const [shouldRender, setShouldRender] = useState(false);
    const [themeState, setThemeState] = React__default.useState(() => getTheme(storageKey, "theme-light"));
    const setTheme = useCallback(
      (newTheme) => {
        if (!themes.includes(newTheme)) {
          newTheme = "theme-light";
        }
        document.documentElement.className = "";
        setThemeState(`${newTheme}`);
        document.documentElement.classList.add(`${newTheme}`);
        if (!shouldRender) {
          setShouldRender(true);
        }
        try {
          localStorage.setItem(storageKey, `${newTheme}`);
        } catch (e) {
        }
      },
      [themeState]
    );
    useEffect(() => {
      let theme = getTheme(storageKey, "NA");
      theme === "NA" ? setTheme(currentTheme) : setTheme(theme);
    }, [currentTheme]);
    return /* @__PURE__ */ React__default.createElement(ThemeContext.Provider, { value: { theme: themeState, setTheme } }, /* @__PURE__ */ React__default.createElement(Element, { as: "div", "data-theme-provider": true, ref, ...props }, shouldRender && children));
  }
);
export {
  ThemeProvider,
  useTheme
};
