"use client";
"use client;";
import React__default, { useState, useEffect } from "react";
import { Element } from "../../Element/Element.js";
const ToastItem = React__default.forwardRef(
  ({ showWhen, children, secondsToShowFor, closeWhen, ...props }, ref) => {
    let classNames = [];
    const [isVisible, setIsVisible] = useState(showWhen ?? false);
    useEffect(() => {
      if (showWhen) {
        setIsVisible(true);
      }
      const timer = showWhen ? setTimeout(() => {
        closeWhen == null ? void 0 : closeWhen();
      }, (secondsToShowFor ?? 4) * 1e3) : void 0;
      return () => {
        timer && clearTimeout(timer);
      };
    }, [showWhen, secondsToShowFor, closeWhen]);
    const onTransitionEnd = () => {
      if (!showWhen) setIsVisible(false);
    };
    return isVisible && /* @__PURE__ */ React__default.createElement(
      Element,
      {
        as: "div",
        "data-toast-item": true,
        classNames: [...classNames, showWhen ? "visible" : ""],
        onTransitionEnd,
        shadow: "soft",
        ...props
      },
      children
    );
  }
);
export {
  ToastItem
};
